import React from 'react'
import _ from 'lodash'

import {Button, Toast} from "antd-mobile";

import {_Bridge} from "../components"
import {InputItem} from "antd-mobile";

export default class extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            result: null,
            message: null,
            imageUrl: "https://p1-tt.byteimg.com/origin/pgc-image/1e28ce7b3eae4f97bf7e140897833cc6?from=pc"
        }
    }

    render() {
        return (
            <div>
                <h1 style={{textAlign: "center"}}>图片上传相关</h1>
                <div style={{padding: 20}}>
                    <div>
                        <img
                            src={this.state.imageUrl}
                            alt=""
                            style={{height: 200, width: "100%"}}
                            onClick={async ()=>{
                                await _Bridge.previewImage({
                                    images: [this.state.imageUrl],
                                })
                            }}
                        />
                    </div>

                    <div style={{height :20}} />

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            Toast.loading("获取upToken");
                            try {
                                const result = await _Bridge.getUpToken({
                                    id: "project_id_project_id_project_id",
                                    app_id: "person",
                                });
                                this.setState({result: JSON.stringify(result)})
                            } catch (e) {
                                this.setState({result: JSON.stringify(e)})
                            } finally {
                                Toast.hide()
                            }
                        }}
                    >获取upToken</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const resp = await _Bridge.takePhotoAndUpload({
                                    appId: "test"
                                });
                                this.setState({
                                    imageUrl: _.get(resp, 'data.url'),
                                    result: JSON.stringify(resp)
                                })
                            } catch (e) {
                                this.setState({result: JSON.stringify(e)})
                            }
                        }}
                    >拍照直传</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const resp = await _Bridge.choosePhotoAndUpload({
                                    appId: "test"
                                });
                                this.setState({
                                    imageUrl: _.get(resp, 'data.url'),
                                    result: JSON.stringify(resp)
                                })
                            } catch (e) {
                                this.setState({result: JSON.stringify(e)})
                            }
                        }}
                    >相册直传</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const resp = await _Bridge.getPhotoAndUpload({
                                    appId: "test"
                                });
                                this.setState({
                                    imageUrl: _.get(resp, 'data.url'),
                                    result: JSON.stringify(resp)
                                })
                            } catch (e) {
                                this.setState({result: JSON.stringify(e)})
                            }
                        }}
                    >多选直传</Button>

                    {
                        this.state.result?(
                            <React.Fragment>
                                <p>结果</p>
                                <p>{this.state.result}</p>
                            </React.Fragment>
                        ):(
                            <p>空</p>
                        )
                    }
                </div>
            </div>
        );
    }
};

